/* autor : Max Celedon Collins
  Psycho World
  http://www.psychoworld.cl

   modified by : Jakub Trznadel <trznadelj@o2.pl> for MIDP-1.0
  */

import java.io.*;
import javax.microedition.io.Connector;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class mobilezx extends MIDlet {
	spectrum    spectrumm = null;
	Thread      thread   = null;
	Display display;

	public mobilezx() throws Exception {
		display = Display.getDisplay(this);
		spectrumm = new spectrum(this);
		readParameters();
		System.out.println("Constructor executed!");
	}

	public void startApp() {
		System.out.println("StartApp executed!");

		if ( spectrumm != null ) {
			display.setCurrent(spectrumm);
			System.out.println("Executing spectrum java emulator");
			spectrumm.execute();
		}
	}

	public void destroyApp(boolean unconditional) throws MIDletStateChangeException {
		System.out.println("DestroyApp executed!");
	}

	public void pauseApp() {
		System.out.println("PauseApp executed!");
	}

	public void readParameters() throws Exception {
		String rom = "spectrum.rom";
		spectrumm.refreshRate= 1;
		spectrumm.sleepHack=0;

		InputStream is = getClass().getResourceAsStream(rom);
		spectrumm.loadROM( rom, is );
		is.close();

		/* looser: don't need this. Just check pure spectrum */

//		String snap = "endur48.sna";
//		InputStream input = getClass().getResourceAsStream(snap);
//		spectrumm.loadSnapshot( snap, input, input.available() );
//		input.close();
	}
}
